summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 833d3be..3a9c454 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,4 +1,8 @@
-#!/bin/bash
+#!/bin/sh
+set -e
echo "Bootstrapping..."
-g++ -std=c++17 -I. -Isrc -pthread src/*.cc ctor.cc test/ctor.cc -o ctor && \
-echo "Done. Now run ./ctor to build."
+g++ -std=c++20 -Wall -O3 -Isrc -pthread src/bootstrap.cc ctor.cc test/ctor.cc -o ctor
+./ctor
+g++ -std=c++20 -Wall -O3 -Isrc -pthread ctor.cc test/ctor.cc -Lbuild -lctor -o ctor
+./ctor configure --ctor-includedir=src --ctor-libdir=build
+echo "Done. Now run ./ctor to (re)build."